/**
 * SbImage plugin for FCKeditor
 *
 * @copyright (c) 2004-2008, SWsoft
 */
var FCKSbImage = function() {
	this.Name = 'SbImage';
}

FCKSbImage.prototype.Execute = function() {
	self.parent.SbProduceModalForm('SbImageForm', self.parent.baseUrl +'/Ajax/Wizard/Edit/Wysiwyg/SbImageForm');
	self.parent.sbImageFormObject.open();
}

FCKSbImage.prototype.GetState = function() {
	return FCK_TRISTATE_OFF;
}

FCKCommands.RegisterCommand('SbImage', new FCKSbImage());

var sbImageButton = new FCKToolbarButton(
	'SbImage',
	FCKLang.InsertImageLbl,
	FCKLang.InsertImage
);
FCKToolbarItems.RegisterItem('SbImage', sbImageButton);